Create embeddable agreement URL
Creates a unique URL for the elastic signing agreement that you can embed in your application. The URL expires after one hour.
Required authentication scopes: click.manage and click.send.
The request must include at least the
clientUserId. This is a value that you
generate to identify the unique recipient
of the agreement.
If you are using a dynamic content document,
you can supply the values in the documentData
property of the request, like this:
A response looks like this.
The agreementUrl is unique to the user identified by the clientUserId.
Your user can open the URL to approve the agreement.
The documentData property appears only if you provided it in the request.
A successful response always includes the following response. The response code is different, depending on whether the user has agreed:
Related topics
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The external account number (int) or account ID GUID.
Request
This endpoint expects an object: userAgreementRequest
A unique value that identifies a user.
You can use anything that your system uses
to identify unique users, such as
employee IDs, email addresses, and surrogate keys as the value of clientUserId.
A clickwrap with a specific clientUserId will not appear again
once it has been accepted.
This property specifies the data used to create an elastic template with dynamic content.
A customer-defined string you can use in requests. This string will appear in the corresponding response.
Response
The external account number (int) or account ID GUID.
Date that the client last completed the agreement.
This property is null if agreementUrl is not null and status is not agreed.
When not null, an agreement is required for user specified by clientUserId.
When missing the user specified by clientUserId
has already agreed and does not require a new acceptance.
Use this URL to render the agreement in a web page.
A unique value that identifies a user.
You can use anything that your system uses
to identify unique users, such as
employee IDs, email addresses, and surrogate keys as the value of clientUserId.
An elastic signing agreement with a specific clientUserId will not appear again
once it has been accepted.
True if consumer disclosure was required by this agreement.
The customer-branded HTML with the Electronic Record and Signature Disclosure information
An array of dataField objects.
The date when the user declined the most recent required agreement.
This property is valid only when status is declined. Otherwise it is null.
This property specifies the data used to create an elastic template with dynamic content.
A customer-defined string you can use in requests. This string will appear in the corresponding response.
User agreement status. One of:
createdagreeddeclined
This property specifies the custom style provided when the agreement was created by customizing the template appearance.
The human-readable semver version string.
Human-readable version number. For example 1.2.